---
updatedAt: 2026-06-15T13:51:20.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Update specified Mobile Device Extension Attribute object.

Update specified Mobile Device Extension Attribute object.

> 📋 **Required privilege:** Update Mobile Device Extension Attributes

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.32.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/mobile-device-extension-attributes/{id}": {
      "put": {
        "tags": [
          "mobile-device-extension-attributes"
        ],
        "summary": "Update specified Mobile Device Extension Attribute object.",
        "description": "Update specified Mobile Device Extension Attribute object.\n\n> 📋 **Required privilege:** Update Mobile Device Extension Attributes",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique ID of Mobile Device Extension Attribute.",
            "required": true,
            "style": "simple",
            "explode": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Mobile Device Extension Attribute object to be updated. IDs defined in this body will be ignored.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/MobileDeviceExtensionAttributes"
              }
            }
          },
          "required": true
        },
        "responses": {
          "202": {
            "description": "Mobile Device Extension Attribute updated successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MobileDeviceExtensionAttributes"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. Specified Mobile Device Extension Attribute could not be updated due to bad request. Possible reasons are:</br> 1) The specified extension attribute id does not include a valid number.</br> 2) Duplicate name is provided.</br> 3) Required fields are not provided in request body.</br> 4) Fields which are not associated with provided inputType has some value.</br> 5) Any values outside of the allowed range are included in the request body.</br> 6) LDAP is not configured.</br> 7) Error occurred during database update operation.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                }
              }
            }
          },
          "404": {
            "description": "Specified Mobile Device Extension Attribute object does not exist. The server either did not find a current representation for the requested resource or is trying to hide its existence from an unauthorized client.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                }
              }
            }
          }
        },
        "x-required-privileges": [
          "Update Mobile Device Extension Attributes"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ApiError": {
        "type": "object",
        "properties": {
          "httpStatus": {
            "type": "integer",
            "description": "HTTP status of the response",
            "example": 400
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApiErrorCause"
            }
          }
        }
      },
      "ApiErrorCause": {
        "required": [
          "field"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error-specific code that can be used to identify localization string, etc.",
            "example": "8675309"
          },
          "field": {
            "type": "string",
            "description": "Name of the field that caused the error.",
            "example": "Name"
          },
          "description": {
            "type": "string",
            "description": "A general description of error for troubleshooting/debugging. Generally this text should not be displayed to a user; instead refer to errorCode and it's localized text",
            "example": "I've just picked up a fault in the AE35 unit. It's going to go 100% failure in 72 hours"
          },
          "id": {
            "type": "string",
            "description": "id of object with error. Optional.",
            "nullable": true,
            "example": "3"
          }
        }
      },
      "ExtensionAttributes": {
        "required": [
          "dataType",
          "name"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique Id for Mobile Device Extension Attribute.",
            "readOnly": true,
            "example": "1"
          },
          "name": {
            "type": "string",
            "description": "Display name for the extension attribute.",
            "example": "MobileDeviceExtensionAttribute"
          },
          "description": {
            "type": "string",
            "description": "Description for the extension attribute.",
            "example": "Mobile Device Extension Attribute"
          },
          "dataType": {
            "type": "string",
            "description": "Type of data being collected.",
            "enum": [
              "INTEGER",
              "STRING",
              "DATE"
            ],
            "default": "STRING"
          }
        }
      },
      "MobileDeviceExtensionAttributes": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ExtensionAttributes"
          },
          {
            "required": [
              "inputType",
              "inventoryDisplayType"
            ],
            "type": "object",
            "properties": {
              "inventoryDisplayType": {
                "type": "string",
                "description": "Category in which to display the extension attribute in Jamf Pro.",
                "example": "GENERAL",
                "enum": [
                  "GENERAL",
                  "HARDWARE",
                  "USER_AND_LOCATION",
                  "PURCHASING",
                  "EXTENSION_ATTRIBUTES"
                ],
                "default": "GENERAL"
              },
              "inputType": {
                "type": "string",
                "description": "Extension attributes collect inventory data by using an input type.The type of the Input used to populate the extension attribute.",
                "enum": [
                  "TEXT",
                  "POPUP",
                  "DIRECTORY_SERVICE_ATTRIBUTE_MAPPING"
                ],
                "default": "TEXT"
              },
              "popupMenuChoices": {
                "minItems": 0,
                "type": "array",
                "description": "When added with list of choices while creating mobile device extension attributes these Pop-up menu can be displayed in inventory information. User can choose a value from the pop-up menu list when enrolling a mobile device any time using Jamf Pro. Provide popupMenuChoices only when inputType is 'POPUP'.",
                "example": [
                  "Test",
                  "Popup"
                ],
                "items": {
                  "type": "string",
                  "description": "Popup Menu choices."
                }
              },
              "ldapAttributeMapping": {
                "type": "string",
                "description": "Directory Service attribute use to populate the extension attribute. <br/> Required when inputType is \"DIRECTORY_SERVICE_ATTRIBUTE_MAPPING\"",
                "example": "ldapAttributeMapping"
              },
              "ldapExtensionAttributeAllowed": {
                "type": "boolean",
                "description": "Collect multiple values for this extension attribute. ldapExtensionAttributeAllowed is disabled by default, only for inputType 'DIRECTORY_SERVICE_ATTRIBUTE_MAPPING' it can be enabled. It's value cannot be modified during edit operation.<br/> Possible values are:<br/> false <br/> true <br/>",
                "example": false,
                "default": false
              }
            }
          }
        ]
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  }
}
```